Đến nội dung


Hình ảnh

Thay thế một phần nội dung text


  • Please log in to reply
17 replies to this topic

#1 baocaothang

baocaothang

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 June 2015 - 10:56 AM

Chào các anh,

 

Em đang có 1 bản vẽ trong đó có các text như sau : "1aaa", "1bbb", "1ccc",..., "1zzz"

 

Em cần phải tạo ra thêm 8 bản vẽ mới với nội dung như cũ chi riêng phần text thì bản vẽ thứ 2 sửa thành :

 

"2aaa", "2bbb", "2ccc",..., "2zzz"

 

Bản vẽ thứ 9 sửa thành :

 

"9aaa", "9bbb", "9ccc",..., "9zzz"

 

Mọi người biết cách nào hay lệnh nào có thể thay thế một ký tự đầu tiên cho toàn bộ các text cùng lúc thì hướng dẫn em với.


  • -1

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 08 June 2015 - 11:16 AM

Lệnh FIND


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 baocaothang

baocaothang

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 June 2015 - 11:52 AM

Lệnh FIND

Nhờ anh hướng dẫn em cụ thể các bước làm.


  • 0

#4 lamngoctien0810

lamngoctien0810

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 08 June 2015 - 12:10 PM

Kích chuột phải lên bản vẽ đang mở chọn Find. Mục Find what gõ số 1 - Mục Replace with gõ số 2 sau đó kích Replace All (Trường hợp này tất cả số 1 trong bản vẽ sẽ chuyển thành số 2). Nếu bạn chỉ muốn 1 vùng nào đó thì mục Find where bạn chọn hình dấu + rồi kéo chọn vùng text cần thay thế rồi chọn Replace All.


  • 1

#5 baocaothang

baocaothang

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 June 2015 - 09:46 AM

Hic, em lấy ví dụ cho đơn giản dễ hiểu ai ngờ lại rơi vào trường hợp này.

Ngoài những ví dụ em đã ghi ở trên còn rất nhiều chỗ ghi là "11aa" , "111a", "1111". Xin hướng dẫn em cách thay thế riêng ký tự đầu tiên trong một chuỗi thôi ạ.


  • 1

#6 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 10 June 2015 - 10:17 AM

Bấm vào nút mũi tên xuống để expand dialog, check vào ô : Use Wildcards

Trong ô Find đánh vào: 1*

Trong ô Replace With đánh vào: 2


  • 3

#7 Mksmart

Mksmart

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 June 2015 - 01:24 PM

bạn lên google search lệnh find ra một loạt bài hướng dẫn


  • 0

đơn vị thiết kế và in thẻ nhựa MK Smart là đơn vị số 1 trong ngành thiết kế và in thẻ nhưa tại việt nam. 


#8 baocaothang

baocaothang

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 June 2015 - 03:04 PM

Bấm vào nút mũi tên xuống để expand dialog, check vào ô : Use Wildcards

Trong ô Find đánh vào: 1*

Trong ô Replace With đánh vào: 2

 

Chào anh, em đã làm theo hướng dẫn như sau :

 

các text gốc : 1ur, 1oc, 1ef, 1acb, 1tr1, 1ax1, 1ax2, 1ax3

 

Trong ô Find đánh vào: 1*

 

Trong ô Replace With đánh vào: 2

check vào ô Use Wildcards

 

Kết quả là : 2ur, 2oc, 2ef, 2acb, 2tr2, 2ax2, 2ax3

 

Bị lỗi mất hai cái : 1tr1, 1ax1. Em mong muốn là : 2tr1, 2ax1

 

Nhờ các anh kiểm tra lại và hướng dẫn tiếp cho em.


  • 0

#9 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 14 June 2015 - 08:24 PM

Không lỗi. Chẳng qua là quy luật thay đổi của bạn hơi "trời ơi" mà thôi..


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#10 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 14 June 2015 - 10:27 PM

Chào anh, em đã làm theo hướng dẫn như sau :

 

.....................

 

Bị lỗi mất hai cái : 1tr1, 1ax1. Em mong muốn là : 2tr1, 2ax1

 

Nhờ các anh kiểm tra lại và hướng dẫn tiếp cho em.

 

 Với hai em còn lại là 2tr2, 2ax2 mà anh định ...xơi tái luôn cả hai em cùng một lúc để biến thành 2tr1 và 2ax1 , có bị gọi là tham ...nhũng không nhỉ??? :) :) :)

 

Lệnh FIND cũng giống như cái ...CỦ TAM THẤT chẳng có lỗi gì hết, anh ạ!

 

Ngoài lề tý: Em đã nghe được một thầy lang nói rằng CỦ TAM THẤT là thuốc bổ rất tốt cho phụ nữ sau khi sinh nở, nhưng chỉ được dùng nó khi và chỉ khi đã "sạch mùi hôi" tức là sau khi đẻ  ít nhất 3 tháng mới được dùng tam thất, nếu dùng sớm sẽ bị hậu sản ...tiền mất tật mang là cái chắc!

(Đó là sự thật, không phải chuyện đùa đâu nhé!)


  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#11 baocaothang

baocaothang

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 June 2015 - 08:46 AM

Vậy có cách nào chỉ đổi một ký tự đầu của chuỗi không các anh. Lệnh Find đổi cả các ký tự khác trong chuỗi.


  • 0

#12 baocaothang

baocaothang

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 June 2015 - 08:50 AM

VÌ BẢN VẼ CỦA EM KHÔNG PHẢI ÍT NHƯ VÍ DỤ, MÀ CÓ KHOẢNG 100 TEXT CẦN THAY ĐỔI GIỐNG NHƯ VẬY.


  • 0

#13 Đình Thụ

Đình Thụ

    biết lệnh offset

  • Members
  • PipPipPip
  • 171 Bài viết
Điểm đánh giá: 35 (tàm tạm)

Đã gửi 15 June 2015 - 09:46 AM

 Với hai em còn lại là 2tr2, 2ax2 mà anh định ...xơi tái luôn cả hai em cùng một lúc để biến thành 2tr1 và 2ax1 , có bị gọi là tham ...nhũng không nhỉ??? :) :) :)

 

Lệnh FIND cũng giống như cái ...CỦ TAM THẤT chẳng có lỗi gì hết, anh ạ!

 

Ngoài lề tý: Em đã nghe được một thầy lang nói rằng CỦ TAM THẤT là thuốc bổ rất tốt cho phụ nữ sau khi sinh nở, nhưng chỉ được dùng nó khi và chỉ khi đã "sạch mùi hôi" tức là sau khi đẻ  ít nhất 3 tháng mới được dùng tam thất, nếu dùng sớm sẽ bị hậu sản ...tiền mất tật mang là cái chắc!

(Đó là sự thật, không phải chuyện đùa đâu nhé!)

 

Liên quan gì với cái ...Củ tam thất ở đây vậy haanh.

Theo tôi bạn nên dùng lệnh Find nhiều lần chứ với kiểu búa xua như vậy mà đòi 1 lần ăn ngay thì chỉ có xài lisp thui


  • 0

#14 huunhantvxdts

huunhantvxdts

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 15 June 2015 - 09:47 AM

Bạn nên đưa file bản vẽ lên để mọi người giúp đỡ không dùng được lệnh find thì dùng lisp.


  • 0

#15 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 15 June 2015 - 04:17 PM

Bạn nhờ bác nào đó viết cho cái lisp cắt ký tự đầu tiên rồi thay vào đó là ký tự do bạn nhập vào cho tất cả text bạn chọn là ok ngay mà. 

(Defun c:ttt (/ b i N kqthay DTMs giatrit)
(command "undo" "be")
(princ "\nChon cac text can chinh")
(setq b (ssget (list (cons 0 "text"))))
(while
(= b nil)
(princ "\nKhong tim thay doi tuong text nao. Chon cac text can chinh")
(setq b (ssget (list (cons 0 "text"))))
)
(princ (strcat "Tim thay " (itoa (sslength b)) " doi tuong text"))
(setq giatrit (getstring 5"\nGia tri thay the: "))
(setq i 0)
(setq N (sslength b))
(while (< i N)
(setq ckq (substr (cdr (assoc 1 (entget (ssname b i)))) 2 (- (strlen (cdr (assoc 1 (entget (ssname b i))))) 1)))
(setq kqthay (strcat giatrit ckq))
(setq DTMs (subst (cons 1 kqthay) (assoc 1 (entget (ssname b i))) (entget (ssname b i))))
(entmod DTMs)
(setq i (1+ i))
)
(command "undo" "end")
(Princ)) 

Viết giúp bạn đây.


Bài viết đã được chỉnh sửa nội dung bởi duy782006: 16 June 2015 - 10:36 AM

  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#16 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 15 June 2015 - 10:02 PM

 

 

Ngoài lề tý: Em đã nghe được một thầy lang nói rằng CỦ TAM THẤT là thuốc bổ rất tốt cho phụ nữ sau khi sinh nở, nhưng chỉ được dùng nó khi và chỉ khi đã "sạch mùi hôi" tức là sau khi đẻ  ít nhất 3 tháng mới được dùng tam thất, nếu dùng sớm sẽ bị hậu sản ...tiền mất tật mang là cái chắc!

(Đó là sự thật, không phải chuyện đùa đâu nhé!)

 

Ngoàii lề tí: không biết chị Hà có tai nọ xọ tai kia không??? Chị tin thầy lang hay tin thầy thuốc! :) :) :)

Em thấy ThS. Vũ Thị Tuyết Mai - Thạc sĩ y tế công cộng, bác sĩ đa khoa - Bộ Y tế viết:

http://songkhoe.vn/b...-713-67311.html

Bs.TTND Nguyễn Xuân Hướng, nguyên Chủ tịch Hội Đông y Việt Nam:

http://www.suckhoenh...-nao-d1711.html


  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#17 baocaothang

baocaothang

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 June 2015 - 08:37 AM

Cám ơn anh duy782006 rất nhiều, em đã làm và được.

 
  • 0

#18 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 18 June 2015 - 04:09 PM

Bạn nhờ bác nào đó viết cho cái lisp cắt ký tự đầu tiên rồi thay vào đó là ký tự do bạn nhập vào cho tất cả text bạn chọn là ok ngay mà. 

(Defun c:ttt (/ b i N kqthay DTMs giatrit)
(command "undo" "be")
(princ "\nChon cac text can chinh")
(setq b (ssget (list (cons 0 "text"))))
(while
(= b nil)
(princ "\nKhong tim thay doi tuong text nao. Chon cac text can chinh")
(setq b (ssget (list (cons 0 "text"))))
)
(princ (strcat "Tim thay " (itoa (sslength b)) " doi tuong text"))
(setq giatrit (getstring 5"\nGia tri thay the: "))
(setq i 0)
(setq N (sslength b))
(while (< i N)
(setq ckq (substr (cdr (assoc 1 (entget (ssname b i)))) 2 (- (strlen (cdr (assoc 1 (entget (ssname b i))))) 1)))
(setq kqthay (strcat giatrit ckq))
(setq DTMs (subst (cons 1 kqthay) (assoc 1 (entget (ssname b i))) (entget (ssname b i))))
(entmod DTMs)
(setq i (1+ i))
)
(command "undo" "end")
(Princ)) 

Viết giúp bạn đây.

Dùng lisp này còn bị lỗi nhiều hơn vì thay thế toàn bộ text chọn. Sửa lại như sau để lọc text

Thêm dòng

(setq giatricu (getstring "\nGia tri cu: "))

trước
(princ "\nChon cac text can chinh")

Sửa 2 chỗ

(ssget (list (cons 0 "text")))

thành

(ssget (list (cons 0 "text")(cons 1 (strcat giatricu "*"))))


  • 0